WordPress.org

Ready to get started?Download WordPress

Forums

PHP error - only in Internet Explorer! (3 posts)

  1. derrylwc
    Member
    Posted 6 years ago #

    Since attempting to modify my "Recent Comments" sections to include a "(...)" after each quote, indicating additional text, I've been encountering some PHP errors on my page. This is the same exact error that I have traditionally seen when updating things through the Dashboard, and it reads like this:

    Warning: Cannot modify header information - headers already sent by (output started at /home/derrylwc/public_html/blog/wp-content/themes/illacrimo/functions.php:24) in /home/derrylwc/public_html/blog/wp-includes/pluggable.php on line 695

    I've visited the pluggable.php and functions.php files, both of which seem to be normal. I even completely replaced them with the default files. Failing that, I did a near-complete replacement of my theme and WP files, to make sure that nothing was in place that had been tampered with.

    Now, my blog works in Firefox and Safari, but still displays this error in Internet Explorer.

    Any suggestions?

  2. Ivovic
    Member
    Posted 6 years ago #

    got nothing to do with browsers, but may have plenty to do with your login status in each of those browsers.

    verify whether you're logged in or not.

    then check line 24 in your theme's functions php... but you did that already, right? since that's exactly what the error says you should do.

  3. derrylwc
    Member
    Posted 6 years ago #

    Indeed, line 24 is the beginning of the "Recent Comments" function, although there aren't any syntax errors. I even get the error when I try to log in through wp-admin, though still only in Explorer.

    Most frustrating is the fact that all my files are identical to how they were before this error started occurring!

Topic Closed

This topic has been closed to new replies.

About this Topic